# Parma_Polyhedra_Library::No_Reduction< D1, D2 > Class Template Reference
[C++ Language Interface]

This class provides the reduction method for the Direct_Product domain. More...

`#include <ppl.hh>`

List of all members.

## Public Member Functions

| No_Reduction ()
| Default constructor.
void | product_reduce (D1 &d1, D2 &d2)
| The null reduction operator.
| ~No_Reduction ()
| Destructor.

## Detailed Description

### template<typename D1, typename D2>
class Parma_Polyhedra_Library::No_Reduction< D1, D2 >

This class provides the reduction method for the Direct_Product domain.

The reduction classes are used to instantiate the Partially_Reduced_Product domain template parameter `R`. This class does no reduction at all.

## Member Function Documentation

template<typename D1 , typename D2 >

void Parma_Polyhedra_Library::No_Reduction< D1, D2 >::product_reduce | ( | D1 & | d1,
|  | D2 & | d2 |
| ) |  |  | `[inline]`

The null reduction operator.

The parameters `d1` and `d2` are ignored.

The documentation for this class was generated from the following file:

- ppl.hh